org.apache.ignite.internal.processors.cache.query

## Enum GridCacheQueryType

- java.lang.Object
- - java.lang.Enum<GridCacheQueryType>
  - - org.apache.ignite.internal.processors.cache.query.GridCacheQueryType

All Implemented Interfaces:
  Serializable, Comparable<GridCacheQueryType>

    public enum GridCacheQueryType
    extends Enum<GridCacheQueryType>

Defines different cache query types. For more information on cache query types and their usage see `CacheQuery` documentation.

See Also:
  `CacheQuery`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`SCAN` Fully scans cache returning only entries that pass certain filters.
`SET` Cache set items query.
`SPI` User provided indexing SPI based query.
`SQL` SQL-based query.
`SQL_FIELDS` SQL-based fields query.
`TEXT` Text search query.

### Method Summary

Methods
`static GridCacheQueryType` `fromOrdinal(byte ord)` Efficiently gets enumerated value from its ordinal.
`static GridCacheQueryType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridCacheQueryType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SPI

    public static final GridCacheQueryType SPI

User provided indexing SPI based query.

#### SCAN

    public static final GridCacheQueryType SCAN

Fully scans cache returning only entries that pass certain filters.

#### SQL

    public static final GridCacheQueryType SQL

SQL-based query.

#### SQL_FIELDS

    public static final GridCacheQueryType SQL_FIELDS

SQL-based fields query.

#### TEXT

    public static final GridCacheQueryType TEXT

Text search query.

#### SET

    public static final GridCacheQueryType SET

Cache set items query.

### Method Detail

#### values

    public static GridCacheQueryType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridCacheQueryType c : GridCacheQueryType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridCacheQueryType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static GridCacheQueryType fromOrdinal(byte ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016